%define packagename OpenOfficeorgThumbnail
Summary:        ODF thumbnailer for KDE
Name:           kde-odf-thumbnail
Version:        1.0.0
Release:        %mkrel 1
License:        LGPLv2+
Group:          Graphical desktop/KDE
Source0:        %{packagename}-%{version}.tar.gz
Url:            http://kde-apps.org/content/show.php/OpenOffice.org+Thumbnail+plugin?content=110864
BuildRequires:	kdelibs4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:       kde-thumbnailer-odf
Obsoletes:      kde-thumbnailer-odf


%description
Plugin for KDE file managers (Dolphin and Konqueror) to preview OpenOffice.org files (Open Document Format) as Thumbnails.


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/kde4/*.so
%{_datadir}/kde4/services/*.desktop

#--------------------------------------------------------------------

%prep 
%setup -qn %{packagename}-%{version}

%build
%cmake_kde4

%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

%clean 
rm -rf %{buildroot} 


%changelog
* Thu Oct 22 2009 Kristof Bal <kristof.bal@gmail.com> 1.0.0-1mcnl2009.1
- Update to new release
* Fri Aug 28 2009 Kristof Bal <kristof.bal@gmail.com> 0.0.1-1mcnl2009.1
- First packaging of initial release
